RDKit::Canon::MolStackElem Class Reference

these are the actual elements in the molecular stack More...

`#include <Canon.h>`

## Public Member Functions

| MolStackElem (Atom *at)
| construct an Atom node More...
| MolStackElem (Bond *bond, int idx)
| construct a bond node More...
| MolStackElem (int idx)
| construct for a ring closure More...
| MolStackElem (const char *chr, int idx)
| construct for a branch opening or closing More...

## Public Attributes

MolStackTypes | type
| stores the type of node More...
MolStackUnion | obj
| holds our pointer (if appropriate) More...
int | number
| stores our number (relevant for bonds and ring closures) More...

## Detailed Description

these are the actual elements in the molecular stack

Definition at line 49 of file Canon.h.

## Constructor & Destructor Documentation

## MolStackElem() [1/4]

RDKit::Canon::MolStackElem::MolStackElem | ( | Atom * | at | ) |

inline explicit

construct an Atom node

Definition at line 52 of file Canon.h.

References RDKit::Canon::MolStackUnion::atom, RDKit::Canon::MOL_STACK_ATOM, obj, and type.

## MolStackElem() [2/4]

RDKit::Canon::MolStackElem::MolStackElem | ( | Bond * | bond,
|  | int | idx
| ) |  |

inline explicit

construct a bond node

Parameters

  bond | pointer to the Bond being added
  idx | index of the Atom traversed before this Bond (beginAtom in the canonical traversal order)

Definition at line 63 of file Canon.h.

References RDKit::Canon::MolStackUnion::bond, RDKit::Canon::MOL_STACK_BOND, number, obj, and type.

## MolStackElem() [3/4]

RDKit::Canon::MolStackElem::MolStackElem | ( | int | idx | ) |

inline explicit

construct for a ring closure

Definition at line 69 of file Canon.h.

References RDKit::Canon::MOL_STACK_RING, number, and type.

## MolStackElem() [4/4]

RDKit::Canon::MolStackElem::MolStackElem | ( | const char * | chr,
|  | int | idx
| ) |  |

inline explicit

construct for a branch opening or closing

Definition at line 74 of file Canon.h.

References RDKit::Canon::MOL_STACK_BRANCH_CLOSE, RDKit::Canon::MOL_STACK_BRANCH_OPEN, number, and type.

## Member Data Documentation

## number

int RDKit::Canon::MolStackElem::number

stores our number (relevant for bonds and ring closures)

Definition at line 89 of file Canon.h.

Referenced by MolStackElem().

## obj

MolStackUnion RDKit::Canon::MolStackElem::obj

holds our pointer (if appropriate)

Definition at line 88 of file Canon.h.

Referenced by MolStackElem().

## type

MolStackTypes RDKit::Canon::MolStackElem::type

stores the type of node

Definition at line 87 of file Canon.h.

Referenced by MolStackElem().

The documentation for this class was generated from the following file:

- Canon.h